Package com.xebialabs.deployit.plugin.api.deployment.rules

## Class AbstractBaseRule

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.deployment.rules.AbstractBaseRule

-     public abstract class AbstractBaseRule
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ALWAYS_RUN_CONDITION` |
    `protected java.lang.String` | `condition` |
    `protected boolean` | `enabled` |
    `protected java.lang.String` | `name` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractBaseRule​(java.lang.String name, boolean enabled, java.lang.String condition)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `canFire​(java.util.Map<java.lang.String,​java.lang.Object> context)` |
    `void` | `disable()` |
    `protected abstract java.util.List<Step>` | `fire​(java.util.Map<java.lang.String,​java.lang.Object> context)` |
    `java.lang.String` | `getName()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ALWAYS_RUN_CONDITION

          public static final java.lang.String ALWAYS_RUN_CONDITION

    - #### name

          protected java.lang.String name

    - #### enabled

          protected boolean enabled

    - #### condition

          protected java.lang.String condition

  - ### Constructor Detail

    - #### AbstractBaseRule

          protected AbstractBaseRule​(java.lang.String name,
                                     boolean enabled,
                                     java.lang.String condition)

  - ### Method Detail

    - #### canFire

          protected boolean canFire​(java.util.Map<java.lang.String,​java.lang.Object> context)

    - #### fire

          protected abstract java.util.List<Step> fire​(java.util.Map<java.lang.String,​java.lang.Object> context)

    - #### getName

          public java.lang.String getName()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### disable

          public void disable()